package domain

type AlibabaWdkCouponTemplateCreateCouponTemplateOptionConfig struct {
	/*
	   外部优惠券模板id     */
	OutCouponTemplateId *string `json:"out_coupon_template_id,omitempty" `

	/*
	   外部优惠券类型     */
	OutCouponType *string `json:"out_coupon_type,omitempty" `

	/*
	   优惠券logo url     */
	LogoUrl *string `json:"logo_url,omitempty" `

	/*
	   券图片     */
	PictureUrl *string `json:"picture_url,omitempty" `

	/*
	   合同ID     */
	ContractInstanceId *int64 `json:"contract_instance_id,omitempty" `

	/*
	   采买者ID     */
	PurchaseId *int64 `json:"purchase_id,omitempty" `
}

func (s *AlibabaWdkCouponTemplateCreateCouponTemplateOptionConfig) SetOutCouponTemplateId(v string) *AlibabaWdkCouponTemplateCreateCouponTemplateOptionConfig {
	s.OutCouponTemplateId = &v
	return s
}
func (s *AlibabaWdkCouponTemplateCreateCouponTemplateOptionConfig) SetOutCouponType(v string) *AlibabaWdkCouponTemplateCreateCouponTemplateOptionConfig {
	s.OutCouponType = &v
	return s
}
func (s *AlibabaWdkCouponTemplateCreateCouponTemplateOptionConfig) SetLogoUrl(v string) *AlibabaWdkCouponTemplateCreateCouponTemplateOptionConfig {
	s.LogoUrl = &v
	return s
}
func (s *AlibabaWdkCouponTemplateCreateCouponTemplateOptionConfig) SetPictureUrl(v string) *AlibabaWdkCouponTemplateCreateCouponTemplateOptionConfig {
	s.PictureUrl = &v
	return s
}
func (s *AlibabaWdkCouponTemplateCreateCouponTemplateOptionConfig) SetContractInstanceId(v int64) *AlibabaWdkCouponTemplateCreateCouponTemplateOptionConfig {
	s.ContractInstanceId = &v
	return s
}
func (s *AlibabaWdkCouponTemplateCreateCouponTemplateOptionConfig) SetPurchaseId(v int64) *AlibabaWdkCouponTemplateCreateCouponTemplateOptionConfig {
	s.PurchaseId = &v
	return s
}
